{{- if .Values.backendPythonDB.enabled -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ include "fullname" (list . .Values.backendPythonDB.name) }}
  labels:
    {{- include "common.labels" (list . .Values.backendPythonDB.name)  | nindent 4 }}
spec:
  type: {{ .Values.backendPythonDB.service.type }}
  ports:
    - port: {{ .Values.backendPythonDB.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    {{- include "selector.labels" (list . .Values.backendPythonDB.name) | nindent 4 }}
{{- end -}}
